Subject: Tax Corporations to help the poor (was Re: USA Perverse OLYMPICS More So)

From: [email-masked] (David Meyers)
Date: 16 Jul 1996 09:00:37 -0400

In article <[email-masked]> [email-masked] (Bob Allisat) writes:

>        Donate? Corporations donate nothing without
>        strings being attached. I say tax these 
>        corporate entities to force them to support
>        the poor. Tax them and not the working people.

Bob, you are truly a remarkably stubborn idiot.
Corporations do not pay taxes.  They pass them
on to their customers through higher prices.  Their
customers are those very people you are trying to
help.  Raise the corporate taxes and you hurt those
working folks even more - they cannot afford products,
they lose jobs, and even more of them end up impoverished
and homeless.

>        And build homes, clean water, cleanse air.

People do this out of self interest.  That is the only
way they do these things.  People who _own_ things and
have an interest in them take much better care of
them than do people who believe that their things will
be taken at the whim of the government or people who
are abusing "public" things.  

>        Until that is done No Olympics. In fact as long
>        as there is poverty and ecological devastation
>        let there be no profits, no luxuries no rich.

And you are just the comrade to take these things away
from those who paid for them.  And as long as people
are pretty sure that their property will be confiscated
by the people's government, led by folks like you, bob,
nobody will have any incentive to protect property or
the ecology.  

The only horrible thing about the Olympics is the
government subsidy and pathetic political incest which
takes place on the road to getting them.  So long as
no tax money is used and people participate freely, there
is no conflict and no problem. Of course, this last is
not the case, but it is not nearly as bad as the scenario
you envision wherein fascists like yourself sieze the
property of the productive, redistribute at your own
whim, claim you are "helping" by killing off economic
growth and job opportunities for the very folks you claim
to be trying to help.

>        The Olympiad is obscenity defined and perfected.

No no no.  Redistributive taxation and property confiscation
is obscenity defined and perfected.  It undermines the
economy, eliminates incentive to care for that property,
and has no moral basis to begin with.

Nuff said.  I can't believe I'm actually responding to
a post from old bob.

For what its worth, I lived in Atlanta while they were
begging for the Games, and nobody asked me what I thought
(if that's the kind of representation we have now, could
you imagine how much worse it would be under bob?).  I
was opposed to the whole spectacle, and am still convinced
that in the long run it is _not_ good for the city.  It
helps the city officials, some of the big corporate interests,
and actually, plenty of the poor, but it does not help those
who will be left holding the bag - the taxpayers and middle
class folks who will get no benefit except further traffic
and congestion and poorly planned city growth.

But at least the disaster called Techwood homes was destroyed
and the environment around GaTech and GaState is vastly
improved as a consequence thereof.  Pitiful, though, that
further tax money is being used to continue to provide those
folks who so abused Techwood with new homes.

--D
-- 
[email-masked]

"Any technology distinguishable from magic
 is insufficiently advanced."